Bug 180506 - ftp/ftplib: Update to version 4.0
Summary: ftp/ftplib: Update to version 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 19:10 UTC by tkato432
Modified: 2013-07-15 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.57 KB, patch)
2013-07-12 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-12 19:10:01 UTC
- Update to version 4.0
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 19:10:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-15 15:44:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-15 15:44:28 UTC
Author: miwi
Date: Mon Jul 15 14:44:18 2013
New Revision: 323037
URL: http://svnweb.freebsd.org/changeset/ports/323037

Log:
  - Update to 4.0
  - Trim header
  
  PR:		180506
  Submitted by:	Ports Fury

Modified:
  head/ftp/ftplib/Makefile   (contents, props changed)
  head/ftp/ftplib/distinfo   (contents, props changed)
  head/ftp/ftplib/pkg-descr   (contents, props changed)

Modified: head/ftp/ftplib/Makefile
==============================================================================
--- head/ftp/ftplib/Makefile	Mon Jul 15 14:43:30 2013	(r323036)
+++ head/ftp/ftplib/Makefile	Mon Jul 15 14:44:18 2013	(r323037)
@@ -1,43 +1,39 @@
-# ex:ts=8
-# Ports collection makefile for:	ftplib
-# Date created:			Feb 11, 2004
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	ftplib
-PORTVERSION=	3.1.1
+PORTVERSION=	4.0
 CATEGORIES=	ftp
-MASTER_SITES=	http://www.nbpfaus.net/~pfau/ftplib/
-DISTNAME=	${PORTNAME}-${PORTVERSION:R}-src
-
-PATCH_SITES=	http://www.nbpfaus.net/~pfau/ftplib/
-PATCHFILES=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}.patch
-PATCH_DIST_STRIP=	-p3
+MASTER_SITES=	http://nbpfaus.net/~pfau/ftplib/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A set of routines that implement the FTP protocol
+COMMENT=	Set of routines that implement the FTP protocol
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}/linux
+WRKSRC=		${WRKDIR}/${DISTNAME}/src
 
 USE_GMAKE=	yes
-MAKE_ARGS+=	DEBUG="${CFLAGS}" LDFLAGS="${LDFLAGS} -L."
 USE_LDCONFIG=	yes
 
-PLIST_FILES=	lib/libftp.so lib/libftp.so.3 lib/libftp.a \
-		include/ftplib.h bin/qftp bin/ftpdir bin/ftpget \
-		bin/ftplist bin/ftprm bin/ftpsend
+PLIST_FILES=	bin/ftpdir bin/ftpget bin/ftplist bin/ftprm bin/ftpsend \
+		bin/qftp include/ftplib.h \
+		lib/libftp.a lib/libftp.so lib/libftp.so.4
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/^SOVERSION/s|=.*|= $$(SONAME)| ; \
+		 s|CFLAGS =|CFLAGS +=| ; \
+		 s|LDFLAGS =|LDFLAGS +=| ; \
+		 s|$$(SOVERSION)|$$(SONAME)| ; \
+		 s|-lc -o|-o| ; \
+		 /libftp.so/s|ln -sf|${TRUE}|' ${WRKSRC}/Makefile
 
 do-install:
-	@(cd ${WRKSRC} ; \
-		${INSTALL_PROGRAM} qftp ${PREFIX}/bin ; \
-		${INSTALL_DATA} libftp.so.3 ${PREFIX}/lib ; \
-		${INSTALL_DATA} libftp.a ${PREFIX}/lib ; \
-		${LN} -fs ${PREFIX}/lib/libftp.so.3 ${PREFIX}/lib/libftp.so ; \
-		${INSTALL_DATA} ftplib.h ${PREFIX}/include ; \
-		for i in ftpdir ftpget ftplist ftprm ftpsend; do \
-  		  ${LN} -s qftp ${PREFIX}/bin/$$i ; done \
-	)
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} qftp ${PREFIX}/bin)
+.for i in ftpdir ftpget ftplist ftprm ftpsend
+	(cd ${PREFIX}/bin && ${LN} -sf qftp ${i})
+.endfor
+	(cd ${WRKSRC} && ${INSTALL_DATA} ftplib.h ${PREFIX}/include)
+	(cd ${WRKSRC} && ${INSTALL_DATA} libftp.a libftp.so.4 ${PREFIX}/lib)
+	(cd ${PREFIX}/lib && ${LN} -sf libftp.so.4 libftp.so)
 
 .include <bsd.port.mk>

Modified: head/ftp/ftplib/distinfo
==============================================================================
--- head/ftp/ftplib/distinfo	Mon Jul 15 14:43:30 2013	(r323036)
+++ head/ftp/ftplib/distinfo	Mon Jul 15 14:44:18 2013	(r323037)
@@ -1,4 +1,2 @@
-SHA256 (ftplib-3.1-src.tar.gz) = be524e1086cfe9d86afa832e1413dde79a4e88ee8ea5325a87ffaaf6620a0a2b
-SIZE (ftplib-3.1-src.tar.gz) = 90243
-SHA256 (ftplib-3.1-1.patch) = 374c278c5aecfc957600ae0cadc4ed0ca49a132920e84adf2b76215531c3c273
-SIZE (ftplib-3.1-1.patch) = 6741
+SHA256 (ftplib-4.0.tar.gz) = a9fabf1fdb2d6cc3713fd5413724ecc266f438a53a24595619080db9e51426a1
+SIZE (ftplib-4.0.tar.gz) = 66680

Modified: head/ftp/ftplib/pkg-descr
==============================================================================
--- head/ftp/ftplib/pkg-descr	Mon Jul 15 14:43:30 2013	(r323036)
+++ head/ftp/ftplib/pkg-descr	Mon Jul 15 14:44:18 2013	(r323037)
@@ -1,5 +1,5 @@
 ftplib is a set of routines that implement the FTP protocol. They allow
-applications to create and access remote files through function calls instead
-of needing to fork and exec an interactive ftp client program.
+applications to create and access remote files through function calls
+instead of needing to fork and exec an interactive ftp client program.
 
 WWW: http://nbpfaus.net/~pfau/ftplib/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"